#include "window.h"

#include <QDebug>
#include <QGraphicsView>
#include <QHBoxLayout>
#include <QMouseEvent>

#include "ElaContentDialog.h"
#include "ElaDockWidget.h"
#include "ElaEventBus.h"
#include "ElaLog.h"
#include "ElaMenu.h"
#include "ElaMenuBar.h"
#include "ElaProgressBar.h"
#include "ElaStatusBar.h"
#include "ElaText.h"
#include "ElaTheme.h"
#include "ElaToolBar.h"
#include "ElaToolButton.h"

#ifdef Q_OS_WIN
    #include "ElaApplication.h"
    #include <QTimer>
#endif

MainWindow::MainWindow(QWidget *parent) : ElaWindow(parent) { initWindow(); }

MainWindow::~MainWindow() {}

void MainWindow::initWindow() {
    qDebug() << "Window: Init the window.";
    qDebug() << "Window: Set to fixed size";
    setIsFixedSize(true);
    // TODO: Set the subtitle of user info card
    setUserInfoCardSubTitle("Nothing!");
}
